/*   
 * Copyright 2007 Sun Microsystems, Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */ 
package com.sun.syndication.propono.atom.common;

import junit.framework.*;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Set;
import org.jdom.Element;

/**
 * Tests Collection class, no server needed.
 */
public class CollectionTest extends TestCase {
    
    public CollectionTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
    }

    protected void tearDown() throws Exception {
    }

    /**
     * Test of accepts method, of class com.sun.syndication.propono.atom.common.Collection.
     */
    public void testAccepts() {   
        
        Collection col = 
            new Collection("dummy_title","dummy_titletype","dummy_href");
        
        col.setAccept("image/*");
        assertTrue(col.accepts("image/gif"));
        assertTrue(col.accepts("image/jpg"));
        assertTrue(col.accepts("image/png"));
        assertFalse(col.accepts("test/html"));
        
        col.setAccept("image/*,text/*");
        assertTrue(col.accepts("image/gif"));
        assertTrue(col.accepts("image/jpg"));
        assertTrue(col.accepts("image/png"));
        assertTrue(col.accepts("text/html"));
        
        col.setAccept("*/*");
        assertTrue(col.accepts("image/gif"));
        assertTrue(col.accepts("image/jpg"));
        assertTrue(col.accepts("image/png"));
        assertTrue(col.accepts("text/html"));
    }  
}
